summaryrefslogtreecommitdiffstats
path: root/.scripts/cron
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2018-11-05 17:51:24 -0500
committerLuke Smith <luke@lukesmith.xyz>2018-11-05 17:51:24 -0500
commit2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2 (patch)
tree4adda53569104861794d990ef99c85edc1ae2d8c /.scripts/cron
parentcd667e6aa111c86b40b9e3104605953e9b341332 (diff)
downloadeibhear-2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2.tar.gz
eibhear-2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2.tar.zst
eibhear-2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2.zip
scripts sorted
Diffstat (limited to '.scripts/cron')
-rwxr-xr-x.scripts/cron/cronbat8
-rwxr-xr-x.scripts/cron/crontog5
-rwxr-xr-x.scripts/cron/newsup14
3 files changed, 27 insertions, 0 deletions
diff --git a/.scripts/cron/cronbat b/.scripts/cron/cronbat
new file mode 100755
index 0000000..c09ff42
--- /dev/null
+++ b/.scripts/cron/cronbat
@@ -0,0 +1,8 @@
+#!/bin/sh
+# Notify me with notify-send if my battery is below 25%.
+# You can set this to run via cron.
+
+[ "$(cat /sys/class/power_supply/BAT0/status)" = "Charging" ] && exit
+[ "$(cat /sys/class/power_supply/BAT0/capacity)" -lt 25 ] &&
+export DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1001/bus &&
+notify-send -u critical "Battery critically low."
diff --git a/.scripts/cron/crontog b/.scripts/cron/crontog
new file mode 100755
index 0000000..d5c61be
--- /dev/null
+++ b/.scripts/cron/crontog
@@ -0,0 +1,5 @@
+#!/bin/sh
+# Toggles all cronjobs off/on.
+# Stores disabled crontabs in ~/.consaved until restored.
+
+([ -f ~/.cronsaved ] && crontab - < ~/.cronsaved && rm ~/.cronsaved && notify-send "Cronjobs have been re-enabled." && echo cronjobs re-enabled.) || ( crontab -l > ~/.cronsaved && crontab -r && echo cronjobs saved and disabled.;notify-send "Cronjobs have been saved and disabled.")
diff --git a/.scripts/cron/newsup b/.scripts/cron/newsup
new file mode 100755
index 0000000..ad7adc6
--- /dev/null
+++ b/.scripts/cron/newsup
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Set as a cron job to check for new RSS entries for newsboat.
+# Note that newsbot cannot be opened during the sync and this
+# sync cannot run while another instance of newsboat is open.
+
+ping -q -t 1 -c 1 `ip r | grep -m 1 default | cut -d ' ' -f 3` >/dev/null || exit
+echo "📰 🔃" > ~/.newsup
+pkill -RTMIN+6 i3blocks
+printf "Loading new RSS entries for newsboat...\\n"
+/usr/bin/newsboat -x reload &&
+ printf "Done.\\n"
+echo "" > ~/.newsup
+pkill -RTMIN+6 i3blocks